use std::{
    ffi::CString,
    io::{Cursor, Read, Seek, SeekFrom},
    os::raw::c_char,
    string::String,
};

#[no_mangle]
pub extern "C" fn hello_world(buffer: *mut *mut c_char) -> u32
{
    let phrase = b"Hello, World";

    let mut buff = Cursor::new(Vec::new());
    ferris_says::say(phrase, 30, &mut buff).unwrap();
    buff.seek(SeekFrom::Start(0)).unwrap();

    let mut ferris_phrase: String = String::new();
    buff.read_to_string(&mut ferris_phrase).unwrap();

    unsafe {
        *buffer = CString::new(&*ferris_phrase).unwrap().into_raw();
    }
    return ferris_phrase.len() as u32;
}